%define upstream_name    Mason-Tidy
%define upstream_version 2.57

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Implements masontidy command
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mason/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(Method::Signatures::Simple)
BuildRequires: perl(Moo)
BuildRequires: perl(Perl::Tidy)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::Class::Most)
BuildArch: noarch

%{?perl_default_filter}


%description
This is the engine used by masontidy - read that first to get an overview.

You can call this API from your own program instead of executing
'masontidy'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.570.0-4.mga6
+ Revision: 1029527
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 2.570.0-3.mga6
+ Revision: 932997
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.570.0-2.mga5
+ Revision: 748191
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 2.570.0-1.mga5
+ Revision: 733759
- imported package perl-Mason-Tidy


* Wed Oct 01 2014 Thierry Vignaud <tv@mageia.org> 2.570.0-1.mga5
- initial mageia release, generated with cpan2dist
